Subject: [bug#54539] [PATCH 0/6] Start breaking up import cycles

From: Maxime Devos <[email-masked]>
Date: Tue, 19 Apr 2022 17:31:02 +0200

Ludovic Courtès schreef op di 19-04-2022 om 11:17 [+0200]:
> (guix self), the module that ‘guix pull’ uses, already automatically
> splits package modules into two groups.  It’s not as modular as we’d
> like, but it’s a start.  What would be useful is to come up with metrics
> and tools to reduce the closure of the “guix-packages-base” group.
> 
> WDYT?

Maybe as a first step, "guix style" could be taught to trim unused
imports?  When writing the patches it turned out that some imports were
unnecessary and could therefore be removed ...

Greetings,
Maxime.